pub trait Mos6522Peripheral {
    /// Write to the data bus
    fn write(&mut self, port: u8);
    fn control(&mut self, control: u8);
    /// Read the data bus
    fn read(&mut self) -> u8;

    /// Tick
    ///
    /// Run 1 clock cycle of the peripheral
    fn tick(&mut self);
}
